Skip to main content
GET
/
api
/
v1
/
external
/
companies
/
{companyId}
/
policies
List Policies
curl --request GET \
  --url https://app.aiinsurance.io/api/v1/external/companies/{companyId}/policies \
  --header 'Authorization: <api-key>'
{
  "items": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440001",
      "segments": [
        {
          "segmentInfo": {
            "start": "2025-01-01",
            "end": "2026-01-01"
          },
          "policy": {
            "effectiveDate": "2025-01-01",
            "premium": 15000
          },
          "coverages": [],
          "exposures": []
        }
      ]
    }
  ],
  "totalCount": 1
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header.

Path Parameters

companyId
string<uuid>
required

Company identifier

Query Parameters

page
integer
default:1

Page number (1-based, default 1, page size 50)

Required range: x >= 1
sortBy
enum<string>

Field to sort by

Available options:
createdAt,
updatedAt,
number
sortDirection
enum<string>

Sort direction

Available options:
asc,
desc
id

Filter by one or more policy IDs

filterText
string

Search text filter

Response

Paginated list of FMV1 policies

items
object[]
required
totalCount
integer
required

Total number of matching policies